<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="t('feature_app_feedback.issue-report.main_headings')"
  [useMaximumBackground]="true"
  class="ion-page"
>
  <ion-grid class="ion-no-padding flex-list-subsections" id="mainAppFeedback">
    <ion-row *ngIf="!isConnected">
      <lib-connectivity-error-handling-card
        [show]="true"
        [title]="t('feature_app_feedback.connectivity-error.title')"
      >
      </lib-connectivity-error-handling-card>
    </ion-row>

    @if (isConnected) {
      <p class="sub-header">
        {{ t('feature_app_feedback.issue-report.sub_headings') }}
      </p>
      <ion-row class="flex-list-lines">
        <ion-textarea
          (input)="onTextareaInput($event)"
          [counter]="false"
          auto-grow="true"
          class="custom-textarea"
          [maxlength]="charactersMaxLength"
        ></ion-textarea>
        <div class="characters-text">
          {{
            t('feature_app_feedback.issue-report.characters_available', {
              characters_left: charactersLeft,
            })
          }}
        </div>
      </ion-row>

      <div
        class="flex-list-lines image-container"
        *ngIf="(images$ | async)!.length > 0"
      >
        <div *ngFor="let image of images$ | async; let i = index" class="image">
          <div *ngIf="image.status === 'uploading'" class="overlay mark">
            <div class="loading-spinner"></div>
          </div>
          <div *ngIf="image.status === 'success'" class="overlay mark">
            <lib-general-icon
              name="check"
              [type]="iconType.materialIconsOutlined"
              [size]="iconFontSize.large"
            ></lib-general-icon>
          </div>
          <div *ngIf="image.status === 'failed'" class="overlay mark">
            <lib-general-icon
              name="error"
              [type]="iconType.materialIconsOutlined"
              [size]="iconFontSize.large"
            ></lib-general-icon>
          </div>
          <img [src]="image.url" class="img img-responsive full-width" alt="" />
          <div *ngIf="image.status !== 'uploading'" class="overlay">
            <button
              type="button"
              class="dismiss-button"
              (click)="removeImage(i)"
            >
              <lib-general-icon
                name="close"
                [type]="iconType.materialIconsOutlined"
                [size]="iconFontSize.large"
              ></lib-general-icon>
            </button>
          </div>
        </div>
      </div>

      <ion-row>
        <lib-custom-vertical-button
          class="custom-vertical-button"
          [startIcon]="'attach_file'"
          [colorScheme]="customButtonColorScheme.inherit"
          [buttonType]="customButtonType.button"
          [title]="t('feature_app_feedback.issue-report.attach_screenshot')"
          (buttonClick)="fileInput.click()"
        >
          <input
            #fileInput
            type="file"
            accept="image/*"
            (change)="onFilesSelected($event)"
            hidden
            multiple
          />
        </lib-custom-vertical-button>
      </ion-row>

      <lib-custom-vertical-button
        class="custom-vertical-button"
        [startIcon]="'send'"
        [colorScheme]="customButtonColorScheme.main"
        [buttonType]="customButtonType.button"
        [title]="t('feature_app_feedback.issue-report.button_text')"
        (buttonClick)="onSubmitFeedback()"
      ></lib-custom-vertical-button>
    }
  </ion-grid>
</lib-condensed-header-layout>
